<?php
userstatus();

// Variabeln definieren
if(!isset($_POST['auszahlen']))     $_POST['auszahlen'] = "";
if(!isset($_POST['uid_passwort']))  $_POST['uid_passwort'] = "";
if(!isset($_POST['trans_menge']))   $_POST['trans_menge'] = "";
if(!isset($auszahlmeldung))         $auszahlmeldung = "";

$tag = strtotime("".date("m")."/".date("d")."/".date("Y")." 0 hours 0 minutes 0 seconds");

$sql = sql::$db->prepare("SELECT t1.*, t2.* FROM "._VMS_."_multi_konten t2
								LEFT JOIN "._VMS_."_schnittstelle t1 ON t1.schnittstelle=t2.waehrung
								WHERE t2.uid=:uid AND t1.aktiv >=2 ");
$sql -> bindParam(':uid', $_SESSION['uid'], PDO::PARAM_INT);
$sql -> execute();

while($_temp = $sql->fetchAll() ){
    $schnittstellen[] = $_temp;
    $erlaubte_schnittstellen[] = $_temp['schnittstelle'];
}

$sql = sql::$db->prepare("SELECT `kontostand` FROM "._VMS_."_kontodaten WHERE uid=:session_uid LIMIT 1");
$sql -> bindParam(':session_uid', $_SESSION['uid'], PDO::PARAM_INT);
$sql -> execute();
$kontodaten = $sql->fetch();

if(isset($_POST['waehrung']) && $_POST['auszahlen'] == 'Auszahlen' && $_POST['uid_passwort'] && $_POST['trans_menge'] && in_array($_POST['waehrung'], $erlaubte_schnittstellen)){
    $schnittstelle_f = sql::$db->prepare("SELECT * FROM "._VMS_."_schnittstelle WHERE aktiv >=2 AND schnittstelle=:waehrung LIMIT 1");
    $schnittstelle_f -> bindParam(':waehrung', $_POST['waehrung'], PDO::PARAM_STR);
    $schnittstelle_f -> execute();
    if($schnittstelle_f->rowCount() == 1){
        $schnittstelle = $schnittstelle_f->fetch();

        if($schnittstelle['anfragen_user'] != 0){
            $sql = sql::$db->prepare("SELECT * FROM "._VMS_."_schnittstelle_anfragen WHERE uid=:session_uid AND zeit=:tag");
            $sql -> bindParam(':session_uid', $_SESSION['uid'], PDO::PARAM_INT);
            $sql -> bindParam(':tag', $tag, PDO::PARAM_INT);
            $sql -> execute();
            $s_verbrauch = $sql->rowCount();
        }else $s_verbrauch = 0;

        if(filter_var($_POST['trans_menge'],FILTER_VALIDATE_FLOAT) and $_POST['trans_menge'] >= $schnittstelle['auszahlsumme']){
            $azs = $_POST['trans_menge'];
            $_POST['trans_menge'] /= $schnittstelle['punktewert'];
            if($_POST['trans_menge'] <= $kontodaten['kontostand']){
                if($schnittstelle['anfragen_user'] == 0 or $s_verbrauch <= $schnittstelle['anfragen_user']){
                    $sql = sql::$db->prepare("SELECT kontoid FROM "._VMS_."_multi_konten WHERE uid=:session_uid AND waehrung=:waehrung LIMIT 1");
                    $sql -> bindParam(':session_uid', $_SESSION['uid'], PDO::PARAM_INT);
                    $sql -> bindParam(':waehrung', $_POST['waehrung'], PDO::PARAM_STR);
                    $sql -> execute();
                    $konto = $sql->fetchAll();
                    $buchungs_id = create_code(14);
                    if($konto['kontoid'] != 0){
                        require_once("lib/schnittstellen/".$schnittstelle['schnittstelle'].".php");
                        auszahlen($schnittstelle['betreiber_id'], $schnittstelle['betreiber_passwort'], $konto['kontoid'], $_POST['uid_passwort'], $schnittstelle['betreiber_kennung'], $azs, $schnittstelle['auszahltext'], '');
                    }
                    if($schnittstelle['anfragen_user'] != 0) {
                        $sql = sql::$db->prepare("INSERT INTO "._VMS_."_schnittstelle_anfragen (zeit,uid) VALUES (?,?)");
                        $sql->execute(array( $tag, $_SESSION['uid'] ));
                    }
                    if($error){
                        $auszahlmeldung = $trans_ausgabe;
                    }else{
                        kontobuchung('-', $_POST['trans_menge'], $_SESSION['uid']);
                        buchungsliste($buchungs_id, '-'.$_POST['trans_menge'], $schnittstelle['auszahltext'], $_SESSION['uid']);
                        $auszahlmeldung = 'Es wurden '.$azs.' '.$system['waehrung'].' ausgezahlt, das sind '.$_POST['trans_menge'].' Punkte';
                    }
                }else $auszahlmeldung = 'Deine Schnittstellenanfragen sind verbraucht!';
            }else $auszahlmeldung = 'Soviel Guthaben hast Du nicht!';
        }
    }else $auszahlmeldung = 'Bitte achte auf die Buchungsmenge!';
}elseif($_POST['auszahlen'] == 'Auszahlen') $auszahlmeldung = 'Eingabefehler, bitte wiederholen!';


head("Auszahlen"); ?>
    <form action="" method="post">
        <p align="center">Momentan kannst du mit folgenden W&auml;hrungen auszahlen: <br/></p>
        <p align="center">
            <select name="waehrung">
                <?php
                $c = count($schnittstellen);
                for($i = 0; $i < $c; $i++){ ?>
                    <option
                        value="<?php echo $schnittstellen[$i]['schnittstelle']; ?>"><?php echo $schnittstellen[$i]['schnittstelle']; ?></option>
                <?php } ?>
            </select>
            <br/>
            <input type="submit" name="b1" value="Ausw&auml;hlen"/>
        </p>
    </form>
    <br>
<?php
if ($c == 0) {echo '<center>Keine Konten gefunden. Bitte schalte in deinem Userprofil externe Accounts frei.</center>'; }
foot();

if(isset($_POST['waehrung']) && in_array($_POST['waehrung'], $erlaubte_schnittstellen)){
    $sql = sql::$db->prepare("SELECT * FROM "._VMS_."_schnittstelle WHERE aktiv >= 2 AND schnittstelle=:waehrung LIMIT 1 ");
    $sql -> bindParam(':waehrung', $_POST['waehrung'], PDO::PARAM_STR);
    $sql -> execute();
    $schnittstelle = $sql->fetch();
    head("Auszahlen"); ?>
        <form action="" method="post">
            <input type="hidden" name="waehrung" value="<?php echo $_POST['waehrung']; ?>">
            <?php
            $multi_kontoida = sql::$db->prepare("SELECT kontoid FROM "._VMS_."_multi_konten WHERE uid=:session_uid AND waehrung=:waehrung LIMIT 1");
            $multi_kontoida -> bindParam(':session_uid', $_SESSION['uid'], PDO::PARAM_INT);
            $multi_kontoida -> bindParam(':waehrung', $_POST['waehrung'], PDO::PARAM_STR);
            $multi_kontoida -> execute();
            if($multi_kontoida->rowCount() == 0){
                echo 'Bitte lege im Userprofil deine Konto-ID fest.';
            }else{
                $multi_kontoid = $multi_kontoida->fetch();
                ?>
                <table width="100%" border="0" cellpadding="2" cellspacing="2">
                    <tr>
                        <td align="left" width="55%">Kontonummer der ausgew&auml;hlten W&auml;hrung</td>
                        <td align="left">
                            <?php echo $multi_kontoid['kontoid']; ?>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">Aktueller Kontostand in <?php echo $system['waehrung']; ?>.</td>
                        <td align="left">
                            <?php echo number_format($kontodaten['kontostand'], 2, ",", ".").' '.$system['waehrung'].''; ?>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">Aktueller Kontostand umgerechnet.</td>
                        <td align="left">
                            <?php echo number_format($kontodaten['kontostand'] * $schnittstelle['punktewert'], 2, ",", ".").' '.$schnittstelle['waehrung_name']; ?>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">------------------------------------------------</td>
                        <td align="left">------------------------------------------------</td>
                    </tr>
                    <tr>
                        <td align="left">Auszahlsumme (min.
                            <?php echo $schnittstelle['auszahlsumme']; ?>
                            <?php echo $schnittstelle['waehrung_name']; ?>)
                        </td>
                        <td align="left">
                            <input type="Text" name="trans_menge" value=""> (in <?php echo $schnittstelle['waehrung_name']; ?> angeben)
                        </td>
                    </tr>
                    <tr>
                        <td align="left"><?php echo $schnittstelle['waehrung_name']; ?>-Passwort</td>
                        <td align="left">
                            <input type="Password" name="uid_passwort" value=""> (Wird nicht gespeichert.)
                        </td>
                    </tr>
                    <tr>
                        <td align="center" colspan="2">
                            <input type="Submit" name="auszahlen" value="Auszahlen">
                        </td>
                    </tr>
                </table>
                <?php if($auszahlmeldung) echo '<div align="center"><font color="#800000">'.$auszahlmeldung.'</font></div>';
            }
        echo '</form>';
    foot();
}